
Redmine - Defect #3270

Updating issue via email with coded subject

2009-04-30 06:54 - Максим Туркин

Status: Closed Start date: 2009-04-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.8.3

Description

I forwarding emails from my email server to the Redmine via the rdm-mailhabdler.rb script. When the email message header contains

Russian characters, it is encoded into a string:

Source header: Re: [Изменение задачи #2]

Encoded header: =?utf-8?B?UmU6IFvQmNC30LzQtdC90LXQvdC40LUg0LfQsNC00LDRh9C4ICMyXQ==?=

As a result, updating tasks (as described on the page RedmineReceivingEmails) does not occur.

If the email subject contains something like "Re: [xxxxxxx #123]", the email is processed as a reply and a note is added to issue 

#123. Otherwise, a new issue is created.

 My configuration:

FreeBSD 7.0-RELEASE

Exim4

Ruby version              1.8.7 (i386-freebsd7)

RubyGems version          1.3.1

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Edge Rails revision       unknown

Application root          /path/to/my/redmine

Environment               development

Database adapter          mysql

History

#1 - 2009-05-03 18:35 - Jean-Philippe Lang

Can you attach a raw email so I can do some testing?

#2 - 2009-05-12 21:35 - Максим Туркин

- File message.eml added

Can I assign values of issue's status field (and other fields, such as the tracker) in Russian?

#3 - 2009-11-28 13:18 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#4 - 2019-02-09 06:30 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce
https://www.redmine.org/issues/2
https://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails#How-it-works
https://www.redmine.org/issues/123
https://www.redmine.org/issues/123


No problem in Redmine 4.0.1.devel.17851. I could add a note to issue 54 on my environment with the attached raw email. Maybe fixed in some

version in the past.

Files

message.eml 1.16 KB 2009-05-12 Максим Туркин
